# consul
<source>
  @type tail
  tag consul-client
  path /var/log/gitlab/consul/current
  pos_file /var/log/td-agent/consul.log.pos
  format /(?<time>[^ ]*) \[(?<consul_level>.*)\] (?<consul_message>.*)/
  time_format %Y-%m-%d_%H:%M:%S
</source>

## - add hostname key based on chef metadata
<filter consul-client>
  @type record_transformer
  <record>
  tag ${tag}
  environment {{ env_name }}
  hostname {{ inventory_hostname }}
  fqdn {{ ansible_fqdn }}
  stage main
  shard unknown
  tier sv
  type consul
  </record>
</filter>

<match consul-client>
  @type copy
  
  {% if kafka.enabled == true %}
  <store>
    @type kafka2
    brokers {{ kafka.brokers | join(',') }}
    <format>
    @type json
    </format>
    default_topic kafka-consul-inf-{{ env_name }}
    <buffer kafka-consul-inf-{{ env_name }}>
      chunk_limit_size {{ kafka.chunk_limit_size }}
    </buffer>
  </store>
  {% endif %}

  @include ../prometheus-mixin.conf
</match>
